Bug 427277 - (CVE-2007-6611) CVE-2007-6611 Mantis 1.1.0 fixes a cross-site scripting flaw
CVE-2007-6611 Mantis 1.1.0 fixes a cross-site scripting flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.mantisbt.org/bugs/view.php...
impact=moderate,source=debian,public=...
: Security
Depends On: 427278 427279 427280
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 13:44 EST by Lubomir Kundrak
Modified: 2016-03-04 07:33 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-01-02 13:44:12 EST
Description of problem:

From secunia:

seiji has discovered a vulnerability in Mantis, which can be exploited by
malicious users to conduct script insertion attacks.

Input passed as the filename for the uploaded file in bug_report.php is not
properly sanitised before being stored. This can be exploited to insert
arbitrary HTML and script code, which is executed in a user's browser session in
context of an affected site when the malicious filename is viewed in view.php.

Successful exploitation requires valid user credentials.

The vulnerability is confirmed in version 1.0.8. Other versions may also be
affected.


Version-Release number of selected component (if applicable):

mantis-1.0.8-1

Additional info:

http://www.mantisbt.org/bugs/view.php?id=8679
http://sourceforge.net/project/shownotes.php?release_id=562940

There are more things marked "[security]" in the release notes -- I suggest that
you rebase the package on 1.1.0.
Comment 2 Lubomir Kundrak 2008-01-02 13:46:52 EST
CVE name for this issue was requested.
Comment 3 Lubomir Kundrak 2008-01-03 15:58:31 EST
This issue got the CVE name CVE-2007-6611
Comment 4 Fedora Update System 2008-01-06 20:20:30 EST
mantis-1.1.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-01-06 20:29:51 EST
mantis-1.1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.